<template>
  <button
    class="signIn-btn_dark"
    :disabled="disabled"
    :class="classes"
    @click="click"
    :style="{color: color, borderColor:  borderColor, backgroundColor: backgroundColor}">
    <div
      class="signIn-btn_dark-inner"
      :style="{alignItems: align}">
      <span class="signIn-btn_dark-text"><slot></slot></span>
      <slot name="img"></slot>
    </div>
  </button>
</template>

<script>
  export default {
    name: "Btn_sign_dark",
    props: {
      color: {
        type: String,
      },
      borderColor: {
        type: String
      },
      align: {
        type: String,
        default: 'center'
      },
      backgroundColor: {
        type: String,
        default: '#192233'
      },
      disabled: {
        type: Boolean,
        default: false
      },
      big: {
        type: Boolean,
        default: false
      },
      small: {
        type: Boolean,
        default: false
      }
    },
    computed: {
      classes() {
        const big = this.big ? 'signIn-btn_dark-big ' : '';
        const small = this.small ? 'signIn-btn_dark-small ' : '';
        const c = big + small;
        if (c) return c;
      }
    },
    methods: {
      click() {
        if (this.disabled) return;
        this.$emit('click');
      },
    }
  }
</script>
